Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jboss.seam.annotations
Annotation Type Install

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface Install

Specifies whether or not a component should be installed if it is scanned

Optional Element Summary
`String[]` | `classDependencies` Indicates that the component should not be installed unless the the given class definitions are available on the classpath
`boolean` | `debug` Is this a debug component?
`String[]` | `dependencies` Indicates that the component should not be installed unless the dependent components are installed
`Class[]` | `genericDependencies` Indicates that the component should not be installed unless the dependent components are installed
`int` | `precedence` The precedence of the component.
`boolean` | `value` Is this component installed by default?

### value

    public abstract boolean value

  Is this component installed by default?

  Returns:
    indicates if the component should be installed
  Default:
    true

### debug

    public abstract boolean debug

  Is this a debug component?

  Returns:
    indicates that the component should only be installed in debug mode
  Default:
    false

### dependencies

    public abstract String[] dependencies

  Indicates that the component should not be installed unless the dependent components are installed

  Returns:
    the dependent component names
  Default:
    {}

### genericDependencies

    public abstract Class[] genericDependencies

  Indicates that the component should not be installed unless the dependent components are installed

  Returns:
    the dependent component types
  Default:
    {}

### classDependencies

    public abstract String[] classDependencies

  Indicates that the component should not be installed unless the the given class definitions are available on the classpath

  Returns:
    the dependent classes
  Default:
    {}

### precedence

    public abstract int precedence

  The precedence of the component. If multiple components with the same name exist, the one with the higher precedence will be installed.

  Default:
    20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2012 Seam Framework. All Rights Reserved.